org.jgrapht.event

## Class EdgeTraversalEvent<V,E>

- java.lang.Object
- - java.util.EventObject
  - - org.jgrapht.event.EdgeTraversalEvent<V,E>

- All Implemented Interfaces:
    Serializable

      public class EdgeTraversalEvent<V,E>
      extends EventObject

  A traversal event for a graph edge.
  Since:
    Aug 11, 2003
  Author:
    Barak Naveh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected E` | `edge` The traversed edge.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeTraversalEvent(Object eventSource, E edge)` Creates a new EdgeTraversalEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `getEdge()` Returns the traversed edge.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### edge

          protected E edge

      The traversed edge.

  - ### Constructor Detail

    - #### EdgeTraversalEvent

          public EdgeTraversalEvent(Object eventSource,
                            E edge)

      Creates a new EdgeTraversalEvent.
      Parameters:
        `eventSource` - the source of the event.
        `edge` - the traversed edge.

  - ### Method Detail

    - #### getEdge

          public E getEdge()

      Returns the traversed edge.
      Returns:
        the traversed edge.

Copyright © 2016. All rights reserved.